@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

* {
  margin: 0;
  padding: 0;
  font-family: Poppins;
  scroll-behavior: smooth;
}

:root {
  --primary-color: #fff;
  --secondary-color: #020027;
  --hover-color: rgb(21, 175, 175);
  --orange-color: #ff6600;
  --highlight-color: #5779e0;
  --text-color: rgb(99, 99, 99);
}

::selection {
  background-color: rgba(87, 121, 224, 0.4);
}
#blue-color {
  color: var(--highlight-color);
}

h2#blue-color , .edutop h2 {
  letter-spacing: -1px;
  font-weight: 550;
}
header {
  padding-top: 20px;
  display: flex;
  height: 80px;
  width: 100%;
  align-items: center;
  position: fixed;
  justify-content: space-around;
  background-color: #fff;
  z-index: 10;
}

header h2 {
  font-size: 40px;
  letter-spacing: 2px;
  cursor: pointer;
}

header .nav-menu ul {
  display: flex;
  gap: 30px;
}

header .nav-menu ul li {
  list-style: none;
}

.nav-menu ul li a::before {
  content: "";
  position: absolute;
  width: 0%;
  background-color: var(--highlight-color);
  height: 3px;
  bottom: -2px;
  transition: 0.3s;
}

header .nav-menu ul li a {
  text-decoration: none;
  position: relative;
  color: black;
}

.nav-menu ul li a:hover::before {
  width: 100%;
}

header .nav-menu ul li a:hover,
#menu-toggle:hover,
header h2:hover {
  color: var(--highlight-color);
}

#menu-toggle,
#menu-toggle-btn {
  display: none;
}



header img {
  width: 25px;
  cursor: pointer;
}

.home {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 130px;
}

.home .home-info h1 {
  font-size: 70px;
  text-align: center;
  line-height: 65px;
  font-weight: 550;
  margin-bottom: 24px;
}

.home .home-info h1 span {
  color: var(--highlight-color);
}

.home .home-info .home-para p {
  margin-top: 7px;
  font-size: 23px;
  text-align: center;
  color: var(--text-color);
}

.home .home-info .home-buttons {
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-top: 20px;
}

.home .home-info .home-buttons button,
.about button {
  font-size: 23px;
  padding: 15px 25px;
  border: none;
  outline: none;
  background: var(--highlight-color);
  color: #fff;
  cursor: pointer;
  border-radius: 8px;
  transition: all 0.5s ease-in;
}

.home .home-info .home-buttons button:hover,
.about button:hover {
  background: rgba(255, 255, 255, 0.8);
  color: var(--highlight-color);
  box-shadow: 0 0 10px var(--highlight-color);
}

#home-scroll {
  color: var(--text-color);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  margin-top: 32px;
  font-size: 23px;
  cursor: pointer;
  transition: all 0.4s ease-in-out;
}

#home-scroll:hover {
  transform: translateY(7px);
}

.about {
  text-align: center;
  display: flex;
  gap: 12px;
  margin: 10px 40px 0;
  padding: 24px 80px;
  font-size: 23px;
  color: var(--text-color);
  justify-content: center;
}

.outro {
  margin-top: 100px;
  font-size: 23px;
  margin-bottom: 12px;
  color: var(--text-color);
  text-align: center;
}

.outro p {
  font-size: 15px;
}

.about-img img {
  width: 300px;
  object-fit: contain;
  border-radius: 20px;
}

.about button {
  margin-top: 50px;
}

#about-outro {
  display: flex;
  margin-top: 50px;
  font-size: 14px;
  justify-content: space-evenly;
}

#about-outro #about-outro-heading {
  display: block;
  font-size: 23px;
  font-weight: bold;
  justify-content: center;
}

/* ************* Education ***************** */
.education{
  background-color: #f8fafc;
  padding: 5% 1%;
}
.eduset{
  max-width: 48rem;
  margin: 0px auto;
  background: #fff;
  padding:14px 24px;
  box-shadow: 0 0 2px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
}
.edutop{
  display: flex;
  align-items: center;
  gap: 14px;
  margin-bottom: 12px;
}
.edutop i{
  background-color: rgb(209 250 229);
  color: green;
  padding: 14px;
  font-size: 24px;
  border-radius: 50%;
}
.eduset p{
  color: var(--text-color);
  letter-spacing: 0px;
}
.edumid{
  display: flex;
  justify-content: space-between;
  margin-bottom: 12px;
}

.edumid i{
  color: rgb(245 158 11);
  font-size: 18px;
  padding-right: 2px;
}



.skills-container {
  display: flex;
  flex-wrap: wrap;
  gap: 24px;

}

.skills{
  background-color: #f8fafc;
  padding:2% 5%;
  padding-bottom: 4%;


}
.skill{
  background-color: #fff;
  padding: 12px;
  width: 300px;
  box-shadow: 0 0  2px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
}
.skill h1{
  font-size: 24px;
  letter-spacing: -1px;
  font-weight: 500;

}
.skill-set{
  display: flex;
  gap: 14px;
  flex-wrap:wrap;
  margin-top: 12px;
}
.skill-set p{
  background-color: #f1f5f9;
  font-size: 12px;
  padding: 3px 6px;
  border-radius: 12px;
}


#experience {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 24px;
  margin: 4%;
}

#experiences #project1 {
  display: flex;
  flex-direction: column;
  align-items: center;
  cursor: pointer;
  justify-content: center;
  box-sizing: border-box;
  border-radius: 8px;
  gap: 18px;
  width: 500px;
  min-height: 600px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.projects {
  flex-wrap: wrap;
}

#projects #project1 {
  width: 450px;
  max-height: 800px;
  min-height: 750px;
  box-sizing: border-box;
  border-radius: 20px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

#projects #project1 img {
  width: 100%;
  height: 450px;
  border: 0;
  border-top-right-radius: 20px;
  border-top-left-radius: 20px;
  object-fit: fill;
}
#projects #project1 #experience-buttons {
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
  justify-content: start;
}
#projects #project1 #experience-buttons button,
.project-src button {
  border: 1px solid #ddd;
  border-radius: 12px;
  font-weight: 550;
  font-size: 12px;
  background: #fff;
  padding: 2px 5px;
}
.project-src {
  display: flex;
  justify-content: space-between;
  margin: 24px 5px 4px 5px;
}
.project-src button {
  font-size: 13px;
  font-weight: 450;
  display: flex;
  gap: 8px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.project-src button:hover {
  background-color: #ececec;
}

#experience-image img {
  width: 100%;
  height: 320px;
}

.experience-container {
  padding: 20px;
  text-align: center;
  font-size: 12px;
}

.experience-container h2 {
  font-weight: 600;
  text-align: left;
  line-height: 20px;
  margin-bottom: 12px;
  font-size: 20px;
}
.experience-container p {
  color: var(--text-color);
  text-align: left;
  margin-bottom: 12px;
}

#experiences #experience-buttons {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 20px 0;
}

#experiences #experience-buttons button {
  padding: 4px 8px;
  border-radius: 8px;
  border: none;
  outline: none;
  background-color: #f8fafc;
  cursor: pointer;
}
#experiences #experience-buttons button:hover {
  background-color: #ececec;
}

.project-container p {
  font-size: 15px;
}

a {
  text-decoration: none;
  text-align: -webkit-center;
}

.project-image img {
  height: 250px;
  object-fit: contain;
}

#acheivements {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  flex-wrap: wrap;
}

.completecard {
  font-size: 1rem;
  width: 250px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin: 20px 20px;
}

.completecard .acheivement-card {
  border-radius: 10px;
  cursor: pointer;
  height: 300px;
  transform-style: preserve-3d;
  perspective: 1000px;
  transition: transform 0.6s ease-in-out;
  width: 250px;
  position: relative;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}

.completecard .acheivement-card .front img {
  height: 300px;
  width: 250px;
  border-radius: 10px;
  object-fit: cover;
}

.completecard .acheivement-card .front {
  transform: rotateY(0deg);
}

.completecard .achievement-content:hover .acheivement-card {
  transform: rotateY(180deg);
}

.completecard .acheivement-card .back,
.completecard .acheivement-card .front {
  position: absolute;
  width: 100%;
  height: 100%;
  border-radius: 10px;
  backface-visibility: hidden;
}

.completecard .acheivement-card .back {
  align-items: center;
  background: #5779e0;
  color: #fff;
  display: flex;
  font-size: 1rem;
  padding: 2%;
  justify-content: center;
  text-align: center;
  position: absolute;
  transform: rotateY(180deg);
}

#contact{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 4px;
}

.contact div {
  text-align: center;
  margin: 40px 0;
  font-size: 18px;
}
.contact-right{
    flex: 1;
}
.contact-left{
    flex: 0.6;
}

.contact-form {
  width: 90%;
  margin: auto;
  display: flex;
  flex-direction: column;
  gap: 15px;
  padding: 20px;
  border-radius: 10px;
}

.contact-form input,
.contact-form textarea {
  padding: 10px;
  font-size: 1rem;
  border: 1px solid #ccc;
  border-radius: 6px;
  transition: border 0.3s, box-shadow 0.3s;
  outline: none;
}

.contact-form input:focus,
.contact-form textarea:focus {
  border-color: #007bff;
  box-shadow: 0 0 0 2px rgba(0, 123, 255, 0.25);
}

.contact-form button {
  padding: 10px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 6px;
  cursor: pointer;
  transition: background-color 0.3s;
}

.contact-form button:hover {
  background-color: #0056b3;
}

footer {
  width: 100%;
  position: relative;
}
.row {
  display: flex;
  justify-content: space-around;
  margin-top: 50px;
}

.row1 input {
  border: 0;
  outline: 0;
  padding: 8px;
  border: 1px solid var(--highlight-color);
  border-radius: 8px;
  width: 224px;
  margin-top: 8px;
}
.row3 {
  justify-content: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

#footer-rows p {
  cursor: pointer;
  margin-top: 8px;
  color: var(--text-color);
}

#footer-rows p:hover {
  color: var(--highlight-color);
}

.footer-bottom {
  position: relative;
  width: 100%;
  height: 240px;
  overflow: hidden;

  background: url("https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEigB8iI5tb8WSVBuVUGc9UjjB8O0708X7Fdic_4O1LT4CmLHoiwhanLXiRhe82yw0R7LgACQ2IhZaTY0hhmGi0gYp_Ynb49CVzfmXtYHUVKgXXpWvJ_oYT8cB4vzsnJLe3iCwuzj-w6PeYq_JaHmy_CoGoa6nw0FBo-2xLdOPvsLTh_fmYH2xhkaZ-OGQ/s16000/footer_bg.png")
    no-repeat bottom;

  background-size: cover;
}


.footer-bg-one,
.footer-bg-two {
  position: absolute;
  bottom: 0;
  width: 100px; /* Adjust based on actual image width */
  height: auto;
}

.footer-bg-one {
  height: 120px;
  width: 140px;
  animation: moveRight 7s linear infinite;
}

.footer-bg-two {
  animation: moveRight 10s linear infinite;
}

@keyframes moveRight {
  0% {
    left: -120px; /* Start off-screen */
  }
  100% {
    left: 100%; /* End off-screen on the right */
  }
}


.row4 ul {
  display: flex;
  gap: 12px;
  margin-top: 8px;
  flex-wrap: wrap;
}

.row4 ul li {
  list-style: none;
  font-size: 32px;
}

.fa-free-code-camp {
  color: rgba(0, 0, 0, 0.8);
}
.fa-free-code-camp:hover {
  color: rgba(0, 0, 0, 1);
}
.fa-github {
  color: rgba(24, 23, 23, 0.7);
}
.fa-github:hover {
  color: rgba(24, 23, 23, 1);
}
.fa-linkedin {
  color: rgba(0, 119, 181, 0.8);
}
.fa-linkedin:hover {
  color: rgba(0, 119, 181, 1);
}
.fa-instagram {
  color: rgba(225, 48, 108, 0.8);
}
.fa-instagram:hover {
  color: rgba(225, 48, 108, 1);
}


@media (max-width: 600px) {
  

  header h2 {
    font-size: 40px;
  }

  .home .home-info h1 {
    font-size: 30px;
  }

  .about {
    flex-direction: column;
    margin: 0;
    padding: 0;
    margin-top: 30px;
  }

  .about-info {
    margin-top: 45px;
  }

  header .nav-menu ul li i {
    font-size: 23px;
  }

  #menu-toggle {
    float: right;
    display: block;
  }

  .skills-container {
    grid-template-rows: none;
    grid-template-columns: 1fr;
    grid-auto-flow: row;
  }

  .home {
    flex-direction: column-reverse;
    gap: 30px;
  }

  .home .home-info {
    margin: 0;
  }


  #project1 {
    flex-direction: column;
    width: 90%;
    margin: 20px 0;
    padding: 0;
  }

  #experience-buttons {
    margin: 10px 0;
    flex-wrap: wrap;
    gap: 5px;
    align-items: center;
    justify-content: center;
  }

  .row {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
  #footer-rows {
    margin: 20px 0;
  }

}

@media (max-width: 784px) {
  header .nav-menu ul {
    display: none;
  }
  .home .home-info .home-buttons button, .about button{
    font-size: 13px;
  }
}

body.dark-mode {
  --primary-color: #181818;
  --secondary-color: #fff;
  --highlight-color: #90caf9;
  --text-color: #e0e0e0;
  background: var(--primary-color);
  color: var(--secondary-color);
}

body.dark-mode header,
body.dark-mode .eduset,
body.dark-mode .skill,
body.dark-mode .education,
body.dark-mode .skills,
body.dark-mode .projects #project1,
body.dark-mode .contact-form,
body.dark-mode #experience #project1 {
  background: #23272f !important;
  color: var(--text-color) !important;
}


body.dark-mode .home .home-info .home-buttons button,
body.dark-mode .about button , body.dark-mode .project-src .fa-github {
  background: var(--highlight-color);
  color: #23272f;
}

body.dark-mode .home .home-info .home-buttons button:hover,
body.dark-mode .about button:hover {
  background: #23272f;
  color: var(--highlight-color);
  box-shadow: 0 0 10px var(--highlight-color);
}

body.dark-mode .skill-set p,
body.dark-mode .skill-set span,
body.dark-mode #experiences #experience-buttons button{
  background: #333a45 !important;
  color: var(--highlight-color) !important;
}

body.dark-mode .edutop i, body.dark-mode header .nav-menu ul li a {
  background: #23272f;
  color: #90caf9;
}

body.dark-mode .project-src button,
body.dark-mode #projects #project1 #experience-buttons button {
  background: #23272f;
  color: var(--highlight-color);
  border: 1px solid var(--highlight-color);
}

body.dark-mode .project-src button:hover {
  background: #181818;
}

body.dark-mode .footer-main,
body.dark-mode footer {
  background: #181818 !important;
  color: var(--highlight-color) !important;
}

body.dark-mode .row1 input ,
body.dark-mode .contact-form input,
body.dark-mode .contact-form textarea {
  background: #23272f;
  color: var(--highlight-color);
  border: 1px solid var(--highlight-color);
}

body.dark-mode .row4 ul li i {
  color: var(--highlight-color) !important;
}

body.dark-mode .about-img img,
body.dark-mode #experience-image img,
body.dark-mode .project-image img {
  filter: brightness(0.85) contrast(1.1);
}
